Page MenuHomePhabricator

treedirstate: allow absent non-normal sets
ClosedPublic

Authored by mbthomas on Nov 14 2017, 12:39 PM.

Details

Reviewers
durham
Group Reviewers
Restricted Project
Commits
rFBHGX84477debcef7: treedirstate: allow absent non-normal sets
Summary

If the non-normal sets get particularly large, the dirstate root file can get
large again. Avoid this happening by not storing large sets, and instead
recalculating them on-demand as needed. Large sets of non-normal files should
be rare, so this shouldn't be a performance hit in the normal case.

Diff Detail

Repository
rFBHGX Facebook Mercurial Extensions
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mbthomas created this revision.Nov 14 2017, 12:39 PM
Herald added a reviewer: Restricted Project. · View Herald TranscriptNov 14 2017, 12:39 PM
mbthomas updated this revision to Diff 3602.Nov 17 2017, 9:45 AM
mbthomas updated this revision to Diff 3657.Nov 20 2017, 12:21 PM
durham accepted this revision.Nov 21 2017, 11:13 AM
durham added a subscriber: durham.
durham added inline comments.
treedirstate/__init__.py
347

Can we make 0xfffff... a constant so it's clear it's a marker value?

This revision is now accepted and ready to land.Nov 21 2017, 11:13 AM
mbthomas updated this revision to Diff 3732.Nov 21 2017, 1:35 PM
mbthomas updated this revision to Diff 3773.Nov 22 2017, 1:14 PM
mbthomas updated this revision to Diff 3826.Nov 24 2017, 11:53 AM
mbthomas updated this revision to Diff 3867.Nov 27 2017, 8:00 AM
This revision was automatically updated to reflect the committed changes.